Delete Task Version (Legacy)
curl --request DELETE \
--url https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion} \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion}"
headers = {"anchor-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}/{taskVersion}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tasks (Legacy)
Delete Task Version (Legacy)
Soft deletes a specific version of a task. The version will no longer be accessible but the data is preserved for potential recovery.
If you are using the new Task Builder, see the Tasks V2 endpoints in this API reference.
DELETE
/
v1
/
task
/
{taskId}
/
{taskVersion}
Delete Task Version (Legacy)
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The ID of the task
The version to delete
Pattern:
^(draft|latest|\d+)$Response
Task version deleted successfully
Show child attributes
Show child attributes
Was this page helpful?

